Unit tmnl3r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FMNL3R_p, FGMNL3R_p, MNL3R_p;

function tmnl3r: String;

implementation

function tmnl3r: String;
var
IERR :Integer;
XMIN :Real;
X :Array [0..0] of Real;
S :Array [0..0] of Real;
RM :Array [0..2] of Real;
UP :Array [0..1] of Real;
IO :Array [0..0] of Integer;
const
N :Integer = 1;
AA :Real = 4.2;
BB :Real = 4.8;
XE :Real = 1.E-4;
GE :Real = 1.E-4;
label
_10;
begin
Result := '';  {   }
{   DATA  FORTRAN  }
X[0] := 0.0;
S[0] := 1.0;
IO[0] := 1;
Result := Result + Format('%s',
 ['          OHOMEPHA MHMA' + #$0D#$0A +
 '     *']) + #$0D#$0A; 
UP[0] := 25.0;
UP[1] := 0.0;
_10:
UP[1] := UP[1]+1;
MNL3R(N,X,XMIN,S,FMNL3R,FGMNL3R,AA,BB,XE,GE,IO,UP,RM,IERR);
Result := Result + Format('%s',['          IERR=']);
Result := Result + Format('%2d ',[IERR]);
Result := Result + Format('%s',['          XMIN=']);
Result := Result + Format('%20.16f ',[XMIN]) + #$0D#$0A;
if ( UP[1] < 2.5 ) 
 then goto _10;
UtRes('tmnl3r',Result);  {     tmnl3r.res }
exit;
end;

end.
